# Generated by Django 4.0.7 on 2022-08-25 05:55

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0020_alter_mainhomepage_content"),
    ]

    operations = [
        migrations.AlterField(
            model_name="maincontactpage",
            name="contact_boxes",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "button_link",
                                    wagtail.blocks.URLBlock(label="Odkaz tlačítka"),
                                ),
                                (
                                    "button_text",
                                    wagtail.blocks.CharBlock(label="Text tlačítka"),
                                ),
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Ikona"
                                    ),
                                ),
                                (
                                    "subtitle",
                                    wagtail.blocks.CharBlock(label="Podtitulek"),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=None,
                verbose_name="Kontaktní boxy",
            ),
        ),
    ]
